## org.apache.mahout.math.hadoop.similarity
Class Cooccurrence

    java.lang.Object
      org.apache.mahout.math.hadoop.similarity.Cooccurrence

All Implemented Interfaces:
  org.apache.hadoop.io.Writable

    public class Cooccurrence

extends java.lang.Object
implements org.apache.hadoop.io.Writable

a pair of entries in the same column of a row vector where each of the entries' values is != NaN

Constructor Summary
`Cooccurrence()`
`Cooccurrence(int column, double valueA, double valueB)`

Method Summary
`boolean` `equals(java.lang.Object other)`
`int` `getColumn()`
`double` `getValueA()`
`double` `getValueB()`
`int` `hashCode()`
`void` `readFields(java.io.DataInput in)`
`void` `set(int column, double valueA, double valueB)`
`void` `write(java.io.DataOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cooccurrence

    public Cooccurrence()

### Cooccurrence

    public Cooccurrence(int column,
                        double valueA,
                        double valueB)

Method Detail

### set

    public void set(int column,
                    double valueA,
                    double valueB)

### getColumn

    public int getColumn()

### getValueA

    public double getValueA()

### getValueB

    public double getValueB()

### readFields

    public void readFields(java.io.DataInput in)
                    throws java.io.IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `java.io.IOException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.